All Classes Namespaces Functions Variables Pages
DCDReporter Class Reference

DCDReporter outputs a series of frames from a Simulation to a DCD file. More...

Inheritance diagram for DCDReporter:

## Public Member Functions

def | __init__
| Create a DCDReporter. More...
def | describeNextReport
| Get information about the next report this object will generate. More...
def | report
| Generate a report. More...
def | __del__

## Detailed Description

DCDReporter outputs a series of frames from a Simulation to a DCD file.

To use it, create a DCDReporter, then add it to the Simulation's list of reporters.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | file,
|  |  | reportInterval
| ) |  |

Create a DCDReporter.

Parameters

  file | (string) The file to write to
  reportInterval | (int) The interval (in time steps) at which to write frames

References DCDReporter._dcd, DCDReporter._out, CheckpointReporter._out, DCDReporter._reportInterval, and CheckpointReporter._reportInterval.

def __del__ | ( |  | self | ) |

## Member Function Documentation

def describeNextReport | ( |  | self,
|  |  | simulation
| ) |  |

Get information about the next report this object will generate.

Parameters

  simulation | (Simulation) The Simulation to generate a report for

Returns
  A five element tuple. The first element is the number of steps until the next report. The remaining elements specify whether that report will require positions, velocities, forces, and energies respectively.

References DCDReporter._reportInterval, and CheckpointReporter._reportInterval.

def report | ( |  | self,
|  |  | simulation,
|  |  | state
| ) |  |

Generate a report.

Parameters

  simulation | (Simulation) The Simulation to generate a report for
  state | (State) The current state of the simulation

References DCDReporter._dcd, DCDReporter._out, CheckpointReporter._out, DCDReporter._reportInterval, and CheckpointReporter._reportInterval.

The documentation for this class was generated from the following file:

- dcdreporter.py